﻿namespace Desarrollo
{
    //------------------------------------------------------------------------------
    // <auto-generated>
    //     Este código fue generado por una herramienta.
    //     Versión de runtime:4.0.30319.34209
    //
    //     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
    //     se vuelve a generar el código.
    // </auto-generated>
    //------------------------------------------------------------------------------

    using System.Xml.Serialization;

    // 
    // This source code was auto-generated by xsd, Version=4.0.30319.33440.
    // 


    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "www.sat.gob.mx/esquemas/ContabilidadE/1_1/AuxiliarFolios")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "www.sat.gob.mx/esquemas/ContabilidadE/1_1/AuxiliarFolios", IsNullable = false)]
    public partial class RepAuxFol
    {

        private RepAuxFolDetAuxFol[] detAuxFolField;

        private string versionField;

        private string rFCField;

        private RepAuxFolMes mesField;

        private int anioField;

        private string tipoSolicitudField;

        private string numOrdenField;

        private string numTramiteField;

        private string selloField;

        private string noCertificadoField;

        private string certificadoField;

        public RepAuxFol()
        {
            this.versionField = "1.2";
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute("DetAuxFol")]
        public RepAuxFolDetAuxFol[] DetAuxFol
        {
            get
            {
                return this.detAuxFolField;
            }
            set
            {
                this.detAuxFolField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Version
        {
            get
            {
                return this.versionField;
            }
            set
            {
                this.versionField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string RFC
        {
            get
            {
                return this.rFCField;
            }
            set
            {
                this.rFCField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public RepAuxFolMes Mes
        {
            get
            {
                return this.mesField;
            }
            set
            {
                this.mesField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public int Anio
        {
            get
            {
                return this.anioField;
            }
            set
            {
                this.anioField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string TipoSolicitud
        {
            get
            {
                return this.tipoSolicitudField;
            }
            set
            {
                this.tipoSolicitudField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string NumOrden
        {
            get
            {
                return this.numOrdenField;
            }
            set
            {
                this.numOrdenField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string NumTramite
        {
            get
            {
                return this.numTramiteField;
            }
            set
            {
                this.numTramiteField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Sello
        {
            get
            {
                return this.selloField;
            }
            set
            {
                this.selloField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string noCertificado
        {
            get
            {
                return this.noCertificadoField;
            }
            set
            {
                this.noCertificadoField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Certificado
        {
            get
            {
                return this.certificadoField;
            }
            set
            {
                this.certificadoField = value;
            }
        }
    }

    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "www.sat.gob.mx/esquemas/ContabilidadE/1_1/AuxiliarFolios")]
    public partial class RepAuxFolDetAuxFol
    {

        private RepAuxFolDetAuxFolComprNal[] comprNalField;

        private RepAuxFolDetAuxFolComprNalOtr[] comprNalOtrField;

        private RepAuxFolDetAuxFolComprExt[] comprExtField;

        private string numUnIdenPolField;

        private System.DateTime fechaField;

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute("ComprNal")]
        public RepAuxFolDetAuxFolComprNal[] ComprNal
        {
            get
            {
                return this.comprNalField;
            }
            set
            {
                this.comprNalField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute("ComprNalOtr")]
        public RepAuxFolDetAuxFolComprNalOtr[] ComprNalOtr
        {
            get
            {
                return this.comprNalOtrField;
            }
            set
            {
                this.comprNalOtrField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute("ComprExt")]
        public RepAuxFolDetAuxFolComprExt[] ComprExt
        {
            get
            {
                return this.comprExtField;
            }
            set
            {
                this.comprExtField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string NumUnIdenPol
        {
            get
            {
                return this.numUnIdenPolField;
            }
            set
            {
                this.numUnIdenPolField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute(DataType = "date")]
        public System.DateTime Fecha
        {
            get
            {
                return this.fechaField;
            }
            set
            {
                this.fechaField = value;
            }
        }
    }

    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "www.sat.gob.mx/esquemas/ContabilidadE/1_1/AuxiliarFolios")]
    public partial class RepAuxFolDetAuxFolComprNal
    {

        private string uUID_CFDIField;

        private decimal montoTotalField;

        private string rFCField;

        private string metPagoAuxField;

        private string monedaField;

        private decimal tipCambField;

        private bool tipCambFieldSpecified;

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string UUID_CFDI
        {
            get
            {
                return this.uUID_CFDIField;
            }
            set
            {
                this.uUID_CFDIField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal MontoTotal
        {
            get
            {
                return this.montoTotalField;
            }
            set
            {
                this.montoTotalField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string RFC
        {
            get
            {
                return this.rFCField;
            }
            set
            {
                this.rFCField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string MetPagoAux
        {
            get
            {
                return this.metPagoAuxField;
            }
            set
            {
                this.metPagoAuxField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Moneda
        {
            get
            {
                return this.monedaField;
            }
            set
            {
                this.monedaField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal TipCamb
        {
            get
            {
                return this.tipCambField;
            }
            set
            {
                this.tipCambField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool TipCambSpecified
        {
            get
            {
                return this.tipCambFieldSpecified;
            }
            set
            {
                this.tipCambFieldSpecified = value;
            }
        }
    }

    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "www.sat.gob.mx/esquemas/ContabilidadE/1_1/AuxiliarFolios")]
    public partial class RepAuxFolDetAuxFolComprNalOtr
    {

        private string cFD_CBB_SerieField;

        private string cFD_CBB_NumFolField;

        private decimal montoTotalField;

        private string rFCField;

        private string metPagoAuxField;

        private string monedaField;

        private decimal tipCambField;

        private bool tipCambFieldSpecified;

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string CFD_CBB_Serie
        {
            get
            {
                return this.cFD_CBB_SerieField;
            }
            set
            {
                this.cFD_CBB_SerieField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute(DataType = "integer")]
        public string CFD_CBB_NumFol
        {
            get
            {
                return this.cFD_CBB_NumFolField;
            }
            set
            {
                this.cFD_CBB_NumFolField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal MontoTotal
        {
            get
            {
                return this.montoTotalField;
            }
            set
            {
                this.montoTotalField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string RFC
        {
            get
            {
                return this.rFCField;
            }
            set
            {
                this.rFCField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string MetPagoAux
        {
            get
            {
                return this.metPagoAuxField;
            }
            set
            {
                this.metPagoAuxField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Moneda
        {
            get
            {
                return this.monedaField;
            }
            set
            {
                this.monedaField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal TipCamb
        {
            get
            {
                return this.tipCambField;
            }
            set
            {
                this.tipCambField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool TipCambSpecified
        {
            get
            {
                return this.tipCambFieldSpecified;
            }
            set
            {
                this.tipCambFieldSpecified = value;
            }
        }
    }

    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "www.sat.gob.mx/esquemas/ContabilidadE/1_1/AuxiliarFolios")]
    public partial class RepAuxFolDetAuxFolComprExt
    {

        private string numFactExtField;

        private string taxIDField;

        private decimal montoTotalField;

        private string metPagoAuxField;

        private string monedaField;

        private decimal tipCambField;

        private bool tipCambFieldSpecified;

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string NumFactExt
        {
            get
            {
                return this.numFactExtField;
            }
            set
            {
                this.numFactExtField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string TaxID
        {
            get
            {
                return this.taxIDField;
            }
            set
            {
                this.taxIDField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal MontoTotal
        {
            get
            {
                return this.montoTotalField;
            }
            set
            {
                this.montoTotalField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string MetPagoAux
        {
            get
            {
                return this.metPagoAuxField;
            }
            set
            {
                this.metPagoAuxField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Moneda
        {
            get
            {
                return this.monedaField;
            }
            set
            {
                this.monedaField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal TipCamb
        {
            get
            {
                return this.tipCambField;
            }
            set
            {
                this.tipCambField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool TipCambSpecified
        {
            get
            {
                return this.tipCambFieldSpecified;
            }
            set
            {
                this.tipCambFieldSpecified = value;
            }
        }
    }

    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "www.sat.gob.mx/esquemas/ContabilidadE/1_1/AuxiliarFolios")]
    public enum RepAuxFolMes
    {

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("01")]
        Item01,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("02")]
        Item02,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("03")]
        Item03,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("04")]
        Item04,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("05")]
        Item05,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("06")]
        Item06,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("07")]
        Item07,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("08")]
        Item08,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("09")]
        Item09,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("10")]
        Item10,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("11")]
        Item11,

        /// <comentarios/>
        [System.Xml.Serialization.XmlEnumAttribute("12")]
        Item12,
    }
}